Subject: hashes for ssh-rsa

From: Niels Provos <[email-masked]>
Date: Wed, 29 Nov 2000 15:46:13 -0500

Hi,

I have not see a draft that includes "ssh-rsa" yet.  While this part
is still being written, it might be worthwhile to allow other hashes
besides SHA1 for for "ssh-rsa".

DSS is constrained by restricting the signed data to only 160-bit.
With RSA, we don't face these constraints, and SSL actually uses a
concatenation of SHA1 and MD5 for the signature.

It woulde be nice if SHA1+MD5 or SHA-512 would be an option for ssh-rsa.

Comments?

Niels.